[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

Re: More mock problems



On Tue, Apr 28, 2009 at 4:02 PM, Neal Becker <ndbecker2 gmail com> wrote:
>  mock -r fedora-devel-x86_64 --shell
> INFO: mock.py version 0.9.14 starting...
> State Changed: init plugins
> State Changed: start
> State Changed: lock buildroot
> mock-chroot> rpm -q igraph
> rpmdb: Program version 4.7 doesn't match environment version 4.5
> error: db4 error(-30971) from dbenv->open: DB_VERSION_MISMATCH: Database
> environment version mismatch
> error: cannot open Packages index using db3 -  (-30971)
> error: cannot open Packages database in /var/lib/rpm> rpmdb: Program version 4.7 doesn't match environment version 4.5

the buildroot is populated from the outside, using the "host" yum and
rpm. For that to work I think you need to upgrade the host's rpm to
(not sure if 4.6 is enough, probably yes)

-- 
Gianluca Sforna

http://morefedora.blogspot.com
http://www.linkedin.com/in/gianlucasforna


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]